<!DOCTYPE HTML>
<html xmlns:th="http://www.thymeleaf.org/" lang="en">

<head>
    <title>Getting Started: Serving Web Content</title>
    <meta name="viewport" content="width=device-width">
    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@4.3.1/dist/css/bootstrap.min.css"
    integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T" crossorigin="anonymous">
    <link rel="stylesheet" href="/css/addBoat.css" />
    <!-- Matomo -->
    <script>
        var _paq = window._paq = window._paq || [];
        /* tracker methods like "setCustomDimension" should be called before "trackPageView" */
        _paq.push(['trackPageView']);
        _paq.push(['enableLinkTracking']);
        (function() {
        var u="//matomomufish.duckdns.org/";
        _paq.push(['setTrackerUrl', u+'matomo.php']);
        _paq.push(['setSiteId', '1']);
        var d=document, g=d.createElement('script'), s=d.getElementsByTagName('script')[0];
        g.async=true; g.src=u+'matomo.js'; s.parentNode.insertBefore(g,s);
        })();
    </script>
</head>

<body>

    <div class="cont">
        <a href="/home"><img id="back" src="/images/back.png" alt="back-image"></a>
        <h2>EDIT SHIP</h2>
        <form action="/saveBoat">
            <input type="hidden" name="boatId" th:value="${session.editableBoat.boatId}">
            <input type="hidden" name="posX" th:value="${session.editableBoat.posX}">
            <input type="hidden" name="posY" th:value="${session.editableBoat.posY}">
            <input type="hidden" name="userId" th:value="${session.editableBoat.fisher.userId}">
            <div class="form-group">
                <label for="exampleFormControlInput1">Boat name:</label>
                <input type="text" name="boatName" class="form-control" id="boatNameControlInput1" placeholder="Boat Name" th:value="${session.editableBoat.name}" required>
            </div>
            <div class="form-group">
                <label for="exampleFormControlSelect1">Select port:</label>
                <select name="portId" class="form-control" id="portControlSelect1">
                    <option th:each="port : ${session.portList}" th:value="${port.portId}" th:text="${port.name}"></option>
                </select>
            </div>
            <div class="form-group">
                <label for="exampleFormControlInput1">Image src:</label>
                <input type="text" name="imageSrc" class="form-control" id="imageSrcControlInput1" placeholder="image_src.jpg" th:value="${session.editableBoat.url}" required>
            </div>
            <div id="bCont">
                <button type="submit" class="btn btn-primary bAdd2">Save Changes</button>
                <button class="btn btn-primary bAdd2" href="/home">Discard Changes</button>
            </div>
        </form>
    </div>
</body>

</html>